> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dfns.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Address Watch

> Registers an on chain address to watch. An address watch is not controlled by Dfns: it holds no key, it cannot sign or move funds. The indexer matches on chain activity touching the address and sends the corresponding webhooks.

The address must already exist on chain and is normalized to the form the indexer matches on (lowercase for EVM networks). Only networks that support address watches are accepted. A given address can only be watched once per network within an organization while the watch is Active.

#### Authentication

✅ Organization User (`CustomerEmployee`)\
✅ Delegated User (`EndUser`)\
✅ Service Account

#### Required Permissions

`AddressWatches:Create`: Always required.


## OpenAPI

````yaml /openapi.yaml post /address-watches
openapi: 3.1.0
info:
  version: 1.952.0
  title: Dfns
servers:
  - url: https://api.dfns.io
    description: Default - Europe
  - url: https://api.uae.dfns.io
    description: UAE
  - url: https://api.dfns.ninja
    description: <Deprecated> Staging
security: []
paths:
  /address-watches:
    post:
      tags:
        - Address Watches
      summary: Create Address Watch
      description: >-
        Registers an on chain address to watch. An address watch is not
        controlled by Dfns: it holds no key, it cannot sign or move funds. The
        indexer matches on chain activity touching the address and sends the
        corresponding webhooks.


        The address must already exist on chain and is normalized to the form
        the indexer matches on (lowercase for EVM networks). Only networks that
        support address watches are accepted. A given address can only be
        watched once per network within an organization while the watch is
        Active.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                network:
                  allOf:
                    - $ref: '#/components/schemas/Network'
                    - description: >-
                        Network to watch the address on. Only networks that
                        support address watches are accepted.
                address:
                  type: string
                  minLength: 1
                  maxLength: 256
                  description: The on chain address to watch.
                name:
                  type: string
                  maxLength: 100
                  pattern: ^[a-z0-9-]+$
                  description: >-
                    Address watch nickname. Lowercase letters, digits and
                    dashes.
                externalId:
                  type: string
                  maxLength: 100
                  description: >-
                    User-defined value that can be used to correlate the entity
                    with an external system.
                tags:
                  type: array
                  items:
                    type: string
                    pattern: ^[a-zA-Z0-9_.:/+-]{1,100}$
                    description: Wallet Tag.
                  maxItems: 10
                  description: List of tags.
              required:
                - network
                - address
              additionalProperties: false
            examples:
              Ethereum:
                value:
                  network: Ethereum
                  address: '0x00e3495cf6af59008f22ffaf32d4c92ac33dac47'
                  name: exchange-hot-wallet
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AddressWatch'
      security:
        - authenticationToken: []
          userActionSignature: []
components:
  schemas:
    Network:
      type: string
      description: Network the address is watched on.
      title: Network
      enum:
        - Algorand
        - AlgorandTestnet
        - Aptos
        - AptosTestnet
        - ArbitrumOne
        - ArbitrumSepolia
        - ArcTestnet
        - AvalancheC
        - AvalancheCFuji
        - BabylonGenesis
        - BabylonTestnet5
        - Base
        - BaseSepolia
        - Berachain
        - BerachainBepolia
        - Bitcoin
        - BitcoinSignet
        - BitcoinTestnet4
        - BitcoinCash
        - Bob
        - BobSepolia
        - Bsc
        - BscTestnet
        - Canton
        - CantonTestnet
        - Cardano
        - CardanoPreprod
        - Concordium
        - ConcordiumTestnet
        - Celo
        - CeloAlfajores
        - Codex
        - CodexSepolia
        - CosmosHub4
        - CosmosIcsTestnet
        - Dogecoin
        - DogecoinTestnet
        - Ethereum
        - EthereumClassic
        - EthereumClassicMordor
        - EthereumSepolia
        - EthereumHoodi
        - FlareC
        - FlareCCoston2
        - FlowEvm
        - FlowEvmTestnet
        - Hedera
        - HederaTestnet
        - Ink
        - InkSepolia
        - InternetComputer
        - Ion
        - IonTestnet
        - Iota
        - IotaTestnet
        - Kusama
        - KusamaAssetHub
        - Litecoin
        - LitecoinTestnet
        - Movement
        - MovementTestnet
        - Near
        - NearTestnet
        - Optimism
        - OptimismSepolia
        - Origyn
        - Plasma
        - PlasmaTestnet
        - Plume
        - PlumeSepolia
        - Paseo
        - PaseoAssetHub
        - Polkadot
        - PolkadotAssetHub
        - Polygon
        - PolygonAmoy
        - Polymesh
        - PolymeshTestnet
        - Race
        - RaceSepolia
        - Rayls
        - RaylsTestnet
        - Robinhood
        - RobinhoodSepolia
        - SeiAtlantic2
        - SeiPacific1
        - Solana
        - SolanaDevnet
        - Sonic
        - SonicTestnet
        - Starknet
        - StarknetSepolia
        - Stellar
        - StellarTestnet
        - Sui
        - SuiTestnet
        - Tezos
        - TezosGhostnet
        - TezosShadownet
        - Tempo
        - TempoModerato
        - Tsc
        - TscTestnet1
        - Ton
        - TonTestnet
        - Tron
        - TronNile
        - Westend
        - WestendAssetHub
        - Xdc
        - XdcApothem
        - XLayer
        - XLayerSepolia
        - XrpLedger
        - XrpLedgerTestnet
    AddressWatch:
      type: object
      properties:
        id:
          type: string
          minLength: 1
          maxLength: 64
          pattern: ^aw-[a-z0-9]{5}-[a-z0-9]{5}-[a-z0-9]{14,16}$
          description: ID of the address watch.
          example: aw-0pbh4-7sdh4-2occ0e4r1g7obe8c
        network:
          $ref: '#/components/schemas/Network'
        address:
          type: string
          description: The watched on chain address.
        name:
          type: string
          maxLength: 100
          pattern: ^[a-z0-9-]+$
          description: Address watch nickname. Lowercase letters, digits and dashes.
        externalId:
          type: string
          maxLength: 100
          description: >-
            User-defined value that can be used to correlate the entity with an
            external system.
        tags:
          type: array
          items:
            type: string
            pattern: ^[a-zA-Z0-9_.:/+-]{1,100}$
            description: Wallet Tag.
          maxItems: 10
          description: List of tags.
        status:
          type: string
          enum:
            - Active
            - Archived
          description: Address watch status.
        dateCreated:
          type: string
          description: >-
            [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) date string when
            the address watch was created.
          example: '2026-07-03T20:41:28.715Z'
        dateDeleted:
          type: string
          description: >-
            [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) date string when
            the address watch was archived.
          example: '2026-07-03T20:41:28.715Z'
      required:
        - id
        - network
        - address
        - tags
        - status
        - dateCreated
      additionalProperties: false
      example:
        id: aw-3f9b2-8k4m1-xxxxxxxxxxxxxxxx
        network: Ethereum
        address: '0x00e3495cf6af59008f22ffaf32d4c92ac33dac47'
        name: exchange-hot-wallet
        tags: []
        status: Active
        dateCreated: '2026-07-03T20:41:28.715Z'
  securitySchemes:
    authenticationToken:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        **Bearer Token:** Used to authenticate API requests.

        More details how to generate the token: [Authentication
        flows](https://docs.dfns.co/api-reference/auth/login-flows)
    userActionSignature:
      type: apiKey
      in: header
      name: X-DFNS-USERACTION
      description: >-
        **User Action Signature:** Used to sign the change-inducing API
        requests.

        More details how to generate the token: [User Action Signing
        flows](https://docs.dfns.co/api-reference/auth/signing-flows)

````